Manifest-Version: 1.0
Bnd-LastModified: 1711335424982
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Fragment Web
Bundle-SymbolicName: com.liferay.fragment.web
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 3.0.57.hotfix-8597-7310
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.application.list;version="2.1",com.liferay.document.library.kernel
 .service;version="3.6",com.liferay.document.library.kernel.util;versi
 on="2.0",com.liferay.exportimport.kernel.lar;version="3.4",com.lifera
 y.fragment.configuration;version="1.1",com.liferay.fragment.constants
 ;version="1.6",com.liferay.fragment.contributor;version="2.0",com.lif
 eray.fragment.exception;version="1.3",com.liferay.fragment.importer;v
 ersion="1.1",com.liferay.fragment.model;version="2.12",com.liferay.fr
 agment.processor;version="3.2",com.liferay.fragment.renderer;version=
 "1.8",com.liferay.fragment.service;version="2.8",com.liferay.fragment
 .util.comparator;version="1.2",com.liferay.frontend.taglib.clay.servl
 et.taglib.display.context;version="1.5",com.liferay.frontend.taglib.c
 lay.servlet.taglib.soy;version="2.1",com.liferay.frontend.taglib.clay
 .servlet.taglib.util;version="3.6",com.liferay.frontend.taglib.servle
 t.taglib.util;version="1.0",com.liferay.item.selector;version="4.3",c
 om.liferay.item.selector.criteria;version="2.1",com.liferay.item.sele
 ctor.criteria.upload.criterion;version="2.0",com.liferay.layout.page.
 template.importer;version="1.5",com.liferay.layout.page.template.mode
 l;version="2.5",com.liferay.layout.page.template.service;version="3.5
 ",com.liferay.petra.function;version="1.4",com.liferay.petra.io.unsyn
 c;version="1.0",com.liferay.petra.sql.dsl.query;version="1.0",com.lif
 eray.petra.string;version="1.4",com.liferay.portal.aop;version="1.0",
 com.liferay.portal.configuration.metatype.annotations;version="1.3",c
 om.liferay.portal.kernel.annotation;version="7.0",com.liferay.portal.
 kernel.bean;version="8.0",com.liferay.portal.kernel.dao.orm;version="
 9.7",com.liferay.portal.kernel.dao.search;version="8.0",com.liferay.p
 ortal.kernel.exception;version="9.5",com.liferay.portal.kernel.json;v
 ersion="8.10",com.liferay.portal.kernel.language;version="8.3",com.li
 feray.portal.kernel.lock;version="7.3",com.liferay.portal.kernel.log;
 version="7.0",com.liferay.portal.kernel.model;version="5.6",com.lifer
 ay.portal.kernel.module.configuration;version="2.0",com.liferay.porta
 l.kernel.portlet;version="10.4",com.liferay.portal.kernel.portlet.bri
 dges.mvc;version="3.0",com.liferay.portal.kernel.portlet.configuratio
 n.icon;version="1.1",com.liferay.portal.kernel.portletfilerepository;
 version="2.0",com.liferay.portal.kernel.repository.capabilities;versi
 on="2.0",com.liferay.portal.kernel.repository.model;version="8.0",com
 .liferay.portal.kernel.resource.bundle;version="1.0",com.liferay.port
 al.kernel.security.permission;version="3.4",com.liferay.portal.kernel
 .security.permission.resource;version="1.1",com.liferay.portal.kernel
 .service;version="4.16",com.liferay.portal.kernel.servlet;version="8.
 5",com.liferay.portal.kernel.settings.definition;version="1.0",com.li
 feray.portal.kernel.struts;version="8.0",com.liferay.portal.kernel.te
 mplate;version="9.1",com.liferay.portal.kernel.theme;version="3.1",co
 m.liferay.portal.kernel.transaction;version="8.1",com.liferay.portal.
 kernel.upload;version="8.1",com.liferay.portal.kernel.util;version="1
 0.28",com.liferay.portal.kernel.util.comparator;version="3.1",com.lif
 eray.portal.kernel.workflow;version="9.5",com.liferay.portal.kernel.z
 ip;version="6.4",com.liferay.portal.util;version="4.18",com.liferay.p
 roduct.navigation.control.menu;version="2.1",com.liferay.staging;vers
 ion="1.1",com.liferay.taglib.search;version="2.0",com.liferay.taglib.
 security;version="8.0",com.liferay.taglib.servlet;version="2.0",com.l
 iferay.taglib.util;version="9.1",com.liferay.upload;version="1.1",jav
 ax.portlet,javax.portlet.annotations,javax.servlet,javax.servlet.http
 ,org.jsoup;version="1.10",org.jsoup.nodes;version="1.10"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Fragment
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: web-experience
Liferay-Releng-Suite-Description: Apps and Features: Widget Templates,
  Asset Publisher, Breadcrumb, Categories, Google Analytics, IFrame, L
 anguage, Navigation, Recycle Bin, Related Content, RSS, Search, Site 
 and Page Templates, Sitemap, Sites Directory, Tags, Web Content, XSL 
 Content<br /><br />The Web Experience suite provides features that he
 lp create, manage, and track content. The Web Content app lets you ex
 press your ideas and plans by creating dynamic content that can be st
 ructured to fit a specific design. You can also use templates to desi
 gn web content for an appealing look and feel. Templates can be used 
 in other realms of Liferay besides web content too. Site and Page Tem
 plates let you reproduce sites and pages that have been organized to 
 address specific needs. Application Display Templates are another typ
 e of Liferay template that lets you develop the look and feel of appl
 ications. The IFrame and XSL Content apps let you create other forms 
 of content by embedding HTML and XSL content on a site page.<br /><br
  />As administrators create content, organization is critical to keep
 ing things tidy in your site. The suite's Tags and Categories apps le
 ts you organize your web content to follow an organizational hierarch
 y. These organizational apps also aid with Liferay's Search app, whic
 h you can utilize to dynamically search content you've created. The s
 uite's Navigation, Breadcrumb, Sitemap, and Sites Directory apps aid 
 in Liferay's organizational structure, providing a top level view of 
 sites and their pages that have been created. To promote content in a
 n organized way, the Asset Publisher and Related Assets apps broadcas
 t assets and their related information. Inevitably, some content you 
 create becomes stale and requires removal; the Recycle Bin app lets y
 ou delete content, with the option to restore that content.<br /><br 
 />As a site accumulates content, administrators should have a way to 
 easily track their content. The Google Analytics app allows the use o
 f Google's tool set for analyzing site traffic data. The suite's RSS 
 app provides a web feed used to publish updated works such as blog en
 tries and news articles. The suite's Language app provides a way to c
 hange Liferay's language to cater to your site's international audien
 ce. This suite's content creation and organization focus lets site ad
 ministrators develop dynamic content, organize content for easy manag
 ing, and track content for ideas to better improve the content creati
 on process in the future.<br /><br />This suite may contain modules t
 hat depend on Foundation suite modules. This suite is available in th
 e Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Web Experience
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.fragment.web.internal.application.list,co
 m.liferay.fragment.web.internal.configuration,com.liferay.fragment.we
 b.internal.constants,com.liferay.fragment.web.internal.display.contex
 t,com.liferay.fragment.web.internal.handler,com.liferay.fragment.web.
 internal.portlet,com.liferay.fragment.web.internal.portlet.action,com
 .liferay.fragment.web.internal.portlet.configuration.icon,com.liferay
 .fragment.web.internal.portlet.helper,com.liferay.fragment.web.intern
 al.portlet.route,com.liferay.fragment.web.internal.product.navigation
 .control.menu,com.liferay.fragment.web.internal.security.permission.r
 esource,com.liferay.fragment.web.internal.servlet.taglib.clay,com.lif
 eray.fragment.web.internal.servlet.taglib.util,com.liferay.fragment.w
 eb.internal.settings.definition,com.liferay.fragment.web.internal.str
 uts,com.liferay.fragment.web.internal.upload,com.liferay.fragment.web
 .internal.util,content,resource-actions
Provide-Capability: osgi.webresource;osgi.webresource=fragment-web;ver
 sion:Version="3.0.57.hotfix-8597-7310",osgi.service;objectClass:List<
 String>="com.liferay.application.list.PanelApp";uses:="com.liferay.ap
 plication.list",osgi.service;objectClass:List<String>="com.liferay.fr
 agment.web.internal.handler.FragmentEntryExceptionRequestHandler";use
 s:="com.liferay.fragment.web.internal.handler",osgi.service;objectCla
 ss:List<String>="com.liferay.fragment.web.internal.portlet.helper.Exp
 ortHelper";uses:="com.liferay.fragment.web.internal.portlet.helper",o
 sgi.service;objectClass:List<String>="com.liferay.fragment.web.intern
 al.upload.FragmentCollectionResourceUploadFileEntryHandler";uses:="co
 m.liferay.fragment.web.internal.upload",osgi.service;objectClass:List
 <String>="com.liferay.fragment.web.internal.upload.FragmentEntryPrevi
 ewUploadFileEntryHandler";uses:="com.liferay.fragment.web.internal.up
 load",osgi.service;objectClass:List<String>="com.liferay.portal.aop.A
 opService";uses:="com.liferay.portal.aop",osgi.service;objectClass:Li
 st<String>="com.liferay.portal.kernel.portlet.ControlPanelEntry";uses
 :="com.liferay.portal.kernel.portlet",osgi.service;objectClass:List<S
 tring>="com.liferay.portal.kernel.portlet.FriendlyURLMapper";uses:="c
 om.liferay.portal.kernel.portlet",osgi.service;objectClass:List<Strin
 g>="com.liferay.portal.kernel.portlet.bridges.mvc.MVCActionCommand";u
 ses:="com.liferay.portal.kernel.portlet.bridges.mvc",osgi.service;obj
 ectClass:List<String>="com.liferay.portal.kernel.portlet.bridges.mvc.
 MVCRenderCommand";uses:="com.liferay.portal.kernel.portlet.bridges.mv
 c",osgi.service;objectClass:List<String>="com.liferay.portal.kernel.p
 ortlet.bridges.mvc.MVCResourceCommand";uses:="com.liferay.portal.kern
 el.portlet.bridges.mvc",osgi.service;objectClass:List<String>="com.li
 feray.portal.kernel.portlet.configuration.icon.PortletConfigurationIc
 on";uses:="com.liferay.portal.kernel.portlet.configuration.icon",osgi
 .service;objectClass:List<String>="com.liferay.portal.kernel.settings
 .definition.ConfigurationBeanDeclaration";uses:="com.liferay.portal.k
 ernel.settings.definition",osgi.service;objectClass:List<String>="com
 .liferay.portal.kernel.struts.StrutsAction";uses:="com.liferay.portal
 .kernel.struts",osgi.service;objectClass:List<String>="com.liferay.pr
 oduct.navigation.control.menu.ProductNavigationControlMenuEntry";uses
 :="com.liferay.product.navigation.control.menu",osgi.service;objectCl
 ass:List<String>="javax.portlet.Portlet";uses:="javax.portlet",lifera
 y.resource.bundle;bundle.symbolic.name="com.liferay.fragment.web";res
 ource.bundle.base.name="content.Language"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=jsp.taglib
 )(uri=http://java.sun.com/portlet_2_0))",osgi.extender;filter:="(&(os
 gi.extender=jsp.taglib)(uri=http://liferay.com/tld/aui))",osgi.extend
 er;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/c
 lay))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http:/
 /liferay.com/tld/frontend))",osgi.extender;filter:="(&(osgi.extender=
 jsp.taglib)(uri=http://liferay.com/tld/react))",osgi.extender;filter:
 ="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/theme))",os
 gi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.
 com/tld/ui))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri
 =http://liferay.com/tld/util))",osgi.extender;filter:="(&(osgi.extend
 er=osgi.component)(version>=1.3.0)(!(version>=2.0.0)))",osgi.service;
 filter:="(objectClass=com.liferay.document.library.kernel.service.DLA
 ppLocalService)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.fragment.contributor.FragmentCollectionContributorTracke
 r)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 fragment.importer.FragmentsImporter)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.fragment.processor.FragmentEntryPro
 cessorRegistry)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.fragment.renderer.FragmentRendererController)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.fragment.serv
 ice.FragmentCollectionService)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.fragment.service.FragmentCompositionLocal
 Service)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.fragment.service.FragmentCompositionService)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.fragment.service.Frag
 mentEntryLinkLocalService)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.fragment.service.FragmentEntryLocalService)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.frag
 ment.service.FragmentEntryService)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.fragment.web.internal.handler.Fragmen
 tEntryExceptionRequestHandler)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.fragment.web.internal.portlet.helper.Expo
 rtHelper)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.fragment.web.internal.upload.FragmentCollectionResourceUploadF
 ileEntryHandler)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.fragment.web.internal.upload.FragmentEntryPreviewUpload
 FileEntryHandler)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.item.selector.ItemSelector)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.item.selector.ItemSelectorUpl
 oadResponseHandler)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.layout.page.template.importer.LayoutPageTemplatesImp
 orter)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.portal.kernel.model.Portlet)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.portal.kernel.module.configuration.Conf
 igurationProvider)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.portal.kernel.security.permission.resource.PortletRes
 ourcePermission)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.portal.kernel.service.GroupLocalService)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.ser
 vice.LayoutSetLocalService)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.kernel.util.Portal)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.staging.StagingGroup
 Helper)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.upload.UniqueFileNameProvider)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.upload.UploadHandler)";effective:=ac
 tive,osgi.service;filter:="(objectClass=javax.servlet.ServletContext)
 ";effective:=active,osgi.contract;osgi.contract=JavaPortlet;filter:="
 (&(osgi.contract=JavaPortlet)(version=3.0.0))",osgi.contract;osgi.con
 tract=JavaServlet;filter:="(&(osgi.contract=JavaServlet)(version=3.1.
 0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.fragment.web.internal.applicat
 ion.list.FragmentPanelApp.xml,OSGI-INF/com.liferay.fragment.web.inter
 nal.handler.FragmentEntryExceptionRequestHandler.xml,OSGI-INF/com.lif
 eray.fragment.web.internal.portlet.FragmentControlPanelEntry.xml,OSGI
 -INF/com.liferay.fragment.web.internal.portlet.FragmentPortlet.xml,OS
 GI-INF/com.liferay.fragment.web.internal.portlet.action.AddFragmentCo
 llectionResourceMVCActionCommand.xml,OSGI-INF/com.liferay.fragment.we
 b.internal.portlet.action.AddFragmentEntryMVCActionCommand.xml,OSGI-I
 NF/com.liferay.fragment.web.internal.portlet.action.CopyContributedFr
 agmentEntryMVCActionCommand.xml,OSGI-INF/com.liferay.fragment.web.int
 ernal.portlet.action.CopyFragmentEntryMVCActionCommand.xml,OSGI-INF/c
 om.liferay.fragment.web.internal.portlet.action.DeleteDraftFragmentEn
 triesMVCActionCommand.xml,OSGI-INF/com.liferay.fragment.web.internal.
 portlet.action.DeleteFragmentCollectionMVCActionCommand.xml,OSGI-INF/
 com.liferay.fragment.web.internal.portlet.action.DeleteFragmentCollec
 tionResourcesMVCActionCommand.xml,OSGI-INF/com.liferay.fragment.web.i
 nternal.portlet.action.DeleteFragmentCompositionPreviewMVCActionComma
 nd.xml,OSGI-INF/com.liferay.fragment.web.internal.portlet.action.Dele
 teFragmentCompositionsAndFragmentEntriesMVCActionCommand.xml,OSGI-INF
 /com.liferay.fragment.web.internal.portlet.action.DeleteFragmentCompo
 sitionsMVCActionCommand.xml,OSGI-INF/com.liferay.fragment.web.interna
 l.portlet.action.DeleteFragmentEntriesMVCActionCommand.xml,OSGI-INF/c
 om.liferay.fragment.web.internal.portlet.action.DeleteFragmentEntryPr
 eviewMVCActionCommand.xml,OSGI-INF/com.liferay.fragment.web.internal.
 portlet.action.EditFragmentCollectionMVCActionCommand.xml,OSGI-INF/co
 m.liferay.fragment.web.internal.portlet.action.EditFragmentCollection
 MVCRenderCommand.xml,OSGI-INF/com.liferay.fragment.web.internal.portl
 et.action.EditFragmentEntryMVCActionCommand.xml,OSGI-INF/com.liferay.
 fragment.web.internal.portlet.action.EditFragmentEntryMVCRenderComman
 d.xml,OSGI-INF/com.liferay.fragment.web.internal.portlet.action.Expor
 tFragmentCollectionsMVCResourceCommand.xml,OSGI-INF/com.liferay.fragm
 ent.web.internal.portlet.action.ExportFragmentCompositionsAndFragment
 EntriesMVCResourceCommand.xml,OSGI-INF/com.liferay.fragment.web.inter
 nal.portlet.action.ImportMVCActionCommand.xml,OSGI-INF/com.liferay.fr
 agment.web.internal.portlet.action.MoveFragmentCompositionMVCActionCo
 mmand.xml,OSGI-INF/com.liferay.fragment.web.internal.portlet.action.M
 oveFragmentCompositionsAndFragmentEntriesMVCActionCommand.xml,OSGI-IN
 F/com.liferay.fragment.web.internal.portlet.action.PreviewFragmentEnt
 ryMVCRenderCommand.xml,OSGI-INF/com.liferay.fragment.web.internal.por
 tlet.action.PropagateFragmentEntryChangesMVCActionCommand.xml,OSGI-IN
 F/com.liferay.fragment.web.internal.portlet.action.PropagateGroupFrag
 mentEntryChangesMVCActionCommand.xml,OSGI-INF/com.liferay.fragment.we
 b.internal.portlet.action.PublishFragmentEntryMVCActionCommand.xml,OS
 GI-INF/com.liferay.fragment.web.internal.portlet.action.RenameFragmen
 tCompositionMVCActionCommand.xml,OSGI-INF/com.liferay.fragment.web.in
 ternal.portlet.action.RenderFragmentEntryMVCRenderCommand.xml,OSGI-IN
 F/com.liferay.fragment.web.internal.portlet.action.SelectFragmentColl
 ectionMVCRenderCommand.xml,OSGI-INF/com.liferay.fragment.web.internal
 .portlet.action.UpdateFragmentCompositionPreviewMVCActionCommand.xml,
 OSGI-INF/com.liferay.fragment.web.internal.portlet.action.UpdateFragm
 entEntryMVCActionCommand.xml,OSGI-INF/com.liferay.fragment.web.intern
 al.portlet.action.UpdateFragmentEntryPreviewMVCActionCommand.xml,OSGI
 -INF/com.liferay.fragment.web.internal.portlet.action.UploadFragmentC
 ollectionResourceMVCActionCommand.xml,OSGI-INF/com.liferay.fragment.w
 eb.internal.portlet.action.UploadFragmentCompositionPreviewMVCActionC
 ommand.xml,OSGI-INF/com.liferay.fragment.web.internal.portlet.action.
 UploadFragmentEntryPreviewMVCActionCommand.xml,OSGI-INF/com.liferay.f
 ragment.web.internal.portlet.action.ViewFragmentCollectionsMVCRenderC
 ommand.xml,OSGI-INF/com.liferay.fragment.web.internal.portlet.action.
 ViewFragmentEntryUsagesMVCRenderCommand.xml,OSGI-INF/com.liferay.frag
 ment.web.internal.portlet.action.ViewGroupFragmentEntryUsagesMVCRende
 rCommand.xml,OSGI-INF/com.liferay.fragment.web.internal.portlet.actio
 n.ViewImportMVCRenderCommand.xml,OSGI-INF/com.liferay.fragment.web.in
 ternal.portlet.action.ViewMVCRenderCommand.xml,OSGI-INF/com.liferay.f
 ragment.web.internal.portlet.configuration.icon.PermissionsPortletCon
 figurationIcon.xml,OSGI-INF/com.liferay.fragment.web.internal.portlet
 .helper.ExportHelper.xml,OSGI-INF/com.liferay.fragment.web.internal.p
 ortlet.route.FragmentFriendlyURLMapper.xml,OSGI-INF/com.liferay.fragm
 ent.web.internal.product.navigation.control.menu.FragmentEntriesGener
 atorProductNavigationControlMenuEntry.xml,OSGI-INF/com.liferay.fragme
 nt.web.internal.security.permission.resource.FragmentPermission.xml,O
 SGI-INF/com.liferay.fragment.web.internal.settings.definition.Fragmen
 tPortletConfigurationBeanDeclaration.xml,OSGI-INF/com.liferay.fragmen
 t.web.internal.struts.ImportFragmentEntriesStrutsAction.xml,OSGI-INF/
 com.liferay.fragment.web.internal.struts.RenderFragmentEntryStrutsAct
 ion.xml,OSGI-INF/com.liferay.fragment.web.internal.upload.FragmentCol
 lectionResourceUploadFileEntryHandler.xml,OSGI-INF/com.liferay.fragme
 nt.web.internal.upload.FragmentEntryPreviewUploadFileEntryHandler.xml
Tool: Bnd-4.3.0.201909301554
Web-ContextPath: /fragment-web

